﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

public class KnownStatsScript : MonoBehaviour
{
    private GameObject panel;
    private float width;
    private float height;
    private bool hovering;

    // Update is called once per frame
    void Update()
    {
        if (hovering)
        {
            panel.transform.position = new Vector3(Input.mousePosition.x + (width / 2) + 15, Input.mousePosition.y - (height / 2) - 15, Input.mousePosition.z);
        }
        else
        {
            panel.transform.position = new Vector3(-200, -200, 0);
        }
    }

    //Detect if the Cursor starts to pass over the GameObject
    public void OnMouseOver()
    {
        hovering = true;
    }

    //Detect when Cursor leaves the GameObject
    public void OnMouseExit()
    {
        hovering = false;   
    }

    public void setPanel(GameObject h)
    {
        panel = h;
        width = panel.GetComponent<RectTransform>().sizeDelta.x;
        height = panel.GetComponent<RectTransform>().sizeDelta.y;
    }

}
